tbinptr Struct Reference
Collaboration diagram for tbinptr:
[legend]

## Data Fields

size_t | prev_foot
size_t | head
struct malloc_tree_chunk * | fd
struct malloc_tree_chunk * | bk
struct malloc_tree_chunk * | child [2]
struct malloc_tree_chunk * | parent
bindex_t | index

## Detailed Description

Definition at line 1922 of file SDL_malloc.c.

## Field Documentation

## bk

struct malloc_tree_chunk* tbinptr::bk

Definition at line 1928 of file SDL_malloc.c.

## child

struct malloc_tree_chunk* tbinptr::child[2]

Definition at line 1930 of file SDL_malloc.c.

## fd

struct malloc_tree_chunk* tbinptr::fd

Definition at line 1927 of file SDL_malloc.c.

## head

size_t tbinptr::head

Definition at line 1926 of file SDL_malloc.c.

## index

bindex_t tbinptr::index

Definition at line 1932 of file SDL_malloc.c.

## parent

struct malloc_tree_chunk* tbinptr::parent

Definition at line 1931 of file SDL_malloc.c.

## prev_foot

size_t tbinptr::prev_foot

Definition at line 1925 of file SDL_malloc.c.

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_malloc.c